create_bitmap_ex(3)

NAME
create_bitmap_ex - Creates a memory bitmap specifying color depth. Allegro game programming library.

SYNOPSIS
#include <allegro.h>

BITMAP *create_bitmap_ex(int color_depth, int width, int height);

DESCRIPTION
Creates a bitmap in a specific color depth (8, 15, 16, 24 or 32 bits per pixel). Example:
   /* Create screen sized bitmap in 32 bits per pixel. /*
   BITMAP *bmp = create_bitmap_ex(32, SCREEN_W, SCREEN_H);
   if (!bmp)
      abort_on_error("Couldn't create bitmap!");
   /* Use the bitmap. */
   ...
   /* Destroy it when we don't need it any more. */
   destroy_bitmap(bmp);

RETURN VALUE
Returns a pointer to the created bitmap, or NULL if the bitmap could not be created. Remember to free this bitmap later to avoid memory leaks.

SEE ALSO
create_bitmap(3), create_sub_bitmap(3), create_video_bitmap(3), create_system_bitmap(3), destroy_bitmap(3), is_memory_bitmap(3), clear_bitmap(3), clear_to_color(3), ex12bit(3), exlights(3), exrgbhsv(3), extrans(3)